###############################################################################
#
# Bash remediation role for profile opencis-ocp-node
# Profile Title:  Open Computing Information Security Profile for OpenShift Node
# Profile Description:
# This baseline was inspired by the Center for Internet Security
# (CIS) Kubernetes Benchmark, v1.2.0 - 01-31-2017.
# 
# For the ComplianceAsCode project to remain in compliance with
# CIS' terms and conditions, specifically Restrictions(8), note
# there is no representation or claim that the OpenCIS profile will
# ensure a system is in compliance or consistency with the CIS
# baseline.
#
# Benchmark ID:  OCP-3
# Benchmark Version:  0.1.42
#
# XCCDF Version:  1.1
#
# This file was generated by OpenSCAP 1.3.0 using:
# 	$ oscap xccdf generate fix --profile opencis-ocp-node --template urn:xccdf:fix:script:sh xccdf-file.xml 
#
# This script is generated from an OpenSCAP profile without preliminary evaluation.
# It attempts to fix every selected rule, even if the system is already compliant.
#
# How to apply this remediation role:
# $ sudo ./remediation-role.sh
#
###############################################################################

###############################################################################
# BEGIN fix (1 / 24) for 'file_permissions_node_config'
###############################################################################
(>&2 echo "Remediating rule 1/24: 'file_permissions_node_config'")

chmod 0600 /etc/origin/node/node-config.yaml

# END fix for 'file_permissions_node_config'

###############################################################################
# BEGIN fix (2 / 24) for 'file_groupowner_node_config'
###############################################################################
(>&2 echo "Remediating rule 2/24: 'file_groupowner_node_config'")

chgrp 0 /etc/origin/node/node-config.yaml

# END fix for 'file_groupowner_node_config'

###############################################################################
# BEGIN fix (3 / 24) for 'file_permissions_openshift_node_service'
###############################################################################
(>&2 echo "Remediating rule 3/24: 'file_permissions_openshift_node_service'")

chmod 0644 /etc/systemd/system/atomic-openshift-node.service

# END fix for 'file_permissions_openshift_node_service'

###############################################################################
# BEGIN fix (4 / 24) for 'file_groupowner_openshift_node_service'
###############################################################################
(>&2 echo "Remediating rule 4/24: 'file_groupowner_openshift_node_service'")

chgrp 0 /etc/systemd/system/atomic-openshift-node.service

# END fix for 'file_groupowner_openshift_node_service'

###############################################################################
# BEGIN fix (5 / 24) for 'file_owner_node_config'
###############################################################################
(>&2 echo "Remediating rule 5/24: 'file_owner_node_config'")

chown 0 /etc/origin/node/node-config.yaml

# END fix for 'file_owner_node_config'

###############################################################################
# BEGIN fix (6 / 24) for 'file_owner_openshift_node_service'
###############################################################################
(>&2 echo "Remediating rule 6/24: 'file_owner_openshift_node_service'")

chown 0 /etc/systemd/system/atomic-openshift-node.service

# END fix for 'file_owner_openshift_node_service'

###############################################################################
# BEGIN fix (7 / 24) for 'file_permissions_openshift_node_client_crt'
###############################################################################
(>&2 echo "Remediating rule 7/24: 'file_permissions_openshift_node_client_crt'")

chmod 0600 /etc/origin/node/client-ca.crt

# END fix for 'file_permissions_openshift_node_client_crt'

###############################################################################
# BEGIN fix (8 / 24) for 'file_owner_openshift_node_client_crt'
###############################################################################
(>&2 echo "Remediating rule 8/24: 'file_owner_openshift_node_client_crt'")

chown 0 /etc/origin/node/client-ca.crt

# END fix for 'file_owner_openshift_node_client_crt'

###############################################################################
# BEGIN fix (9 / 24) for 'file_groupowner_openshift_node_client_crt'
###############################################################################
(>&2 echo "Remediating rule 9/24: 'file_groupowner_openshift_node_client_crt'")

chgrp 0 /etc/origin/node/client-ca.crt

# END fix for 'file_groupowner_openshift_node_client_crt'

###############################################################################
# BEGIN fix (10 / 24) for 'kubelet_disable_cadvisor_port'
###############################################################################
(>&2 echo "Remediating rule 10/24: 'kubelet_disable_cadvisor_port'")
(>&2 echo "FIX FOR THIS RULE 'kubelet_disable_cadvisor_port' IS MISSING!")

# END fix for 'kubelet_disable_cadvisor_port'

###############################################################################
# BEGIN fix (11 / 24) for 'kubelet_enable_authorization'
###############################################################################
(>&2 echo "Remediating rule 11/24: 'kubelet_enable_authorization'")
(>&2 echo "FIX FOR THIS RULE 'kubelet_enable_authorization' IS MISSING!")

# END fix for 'kubelet_enable_authorization'

###############################################################################
# BEGIN fix (12 / 24) for 'kubelet_configure_client_ca'
###############################################################################
(>&2 echo "Remediating rule 12/24: 'kubelet_configure_client_ca'")
(>&2 echo "FIX FOR THIS RULE 'kubelet_configure_client_ca' IS MISSING!")

# END fix for 'kubelet_configure_client_ca'

###############################################################################
# BEGIN fix (13 / 24) for 'kubelet_configure_event_creation'
###############################################################################
(>&2 echo "Remediating rule 13/24: 'kubelet_configure_event_creation'")
(>&2 echo "FIX FOR THIS RULE 'kubelet_configure_event_creation' IS MISSING!")

# END fix for 'kubelet_configure_event_creation'

###############################################################################
# BEGIN fix (14 / 24) for 'kubelet_enable_kernel_defaults'
###############################################################################
(>&2 echo "Remediating rule 14/24: 'kubelet_enable_kernel_defaults'")
(>&2 echo "FIX FOR THIS RULE 'kubelet_enable_kernel_defaults' IS MISSING!")

# END fix for 'kubelet_enable_kernel_defaults'

###############################################################################
# BEGIN fix (15 / 24) for 'kubelet_disable_anon_access'
###############################################################################
(>&2 echo "Remediating rule 15/24: 'kubelet_disable_anon_access'")
(>&2 echo "FIX FOR THIS RULE 'kubelet_disable_anon_access' IS MISSING!")

# END fix for 'kubelet_disable_anon_access'

###############################################################################
# BEGIN fix (16 / 24) for 'kubelet_privileged_containers'
###############################################################################
(>&2 echo "Remediating rule 16/24: 'kubelet_privileged_containers'")
(>&2 echo "FIX FOR THIS RULE 'kubelet_privileged_containers' IS MISSING!")

# END fix for 'kubelet_privileged_containers'

###############################################################################
# BEGIN fix (17 / 24) for 'kubelet_enable_server_cert_rotation'
###############################################################################
(>&2 echo "Remediating rule 17/24: 'kubelet_enable_server_cert_rotation'")
(>&2 echo "FIX FOR THIS RULE 'kubelet_enable_server_cert_rotation' IS MISSING!")

# END fix for 'kubelet_enable_server_cert_rotation'

###############################################################################
# BEGIN fix (18 / 24) for 'kubelet_enable_iptables_util_chains'
###############################################################################
(>&2 echo "Remediating rule 18/24: 'kubelet_enable_iptables_util_chains'")
(>&2 echo "FIX FOR THIS RULE 'kubelet_enable_iptables_util_chains' IS MISSING!")

# END fix for 'kubelet_enable_iptables_util_chains'

###############################################################################
# BEGIN fix (19 / 24) for 'kubelet_disable_readonly_port'
###############################################################################
(>&2 echo "Remediating rule 19/24: 'kubelet_disable_readonly_port'")
(>&2 echo "FIX FOR THIS RULE 'kubelet_disable_readonly_port' IS MISSING!")

# END fix for 'kubelet_disable_readonly_port'

###############################################################################
# BEGIN fix (20 / 24) for 'kubelet_enable_client_cert_rotation'
###############################################################################
(>&2 echo "Remediating rule 20/24: 'kubelet_enable_client_cert_rotation'")
(>&2 echo "FIX FOR THIS RULE 'kubelet_enable_client_cert_rotation' IS MISSING!")

# END fix for 'kubelet_enable_client_cert_rotation'

###############################################################################
# BEGIN fix (21 / 24) for 'kubelet_configure_tls_cert'
###############################################################################
(>&2 echo "Remediating rule 21/24: 'kubelet_configure_tls_cert'")
(>&2 echo "FIX FOR THIS RULE 'kubelet_configure_tls_cert' IS MISSING!")

# END fix for 'kubelet_configure_tls_cert'

###############################################################################
# BEGIN fix (22 / 24) for 'kubelet_configure_tls_key'
###############################################################################
(>&2 echo "Remediating rule 22/24: 'kubelet_configure_tls_key'")
(>&2 echo "FIX FOR THIS RULE 'kubelet_configure_tls_key' IS MISSING!")

# END fix for 'kubelet_configure_tls_key'

###############################################################################
# BEGIN fix (23 / 24) for 'kubelet_disable_hostname_override'
###############################################################################
(>&2 echo "Remediating rule 23/24: 'kubelet_disable_hostname_override'")
(>&2 echo "FIX FOR THIS RULE 'kubelet_disable_hostname_override' IS MISSING!")

# END fix for 'kubelet_disable_hostname_override'

###############################################################################
# BEGIN fix (24 / 24) for 'kubelet_enable_streaming_connections'
###############################################################################
(>&2 echo "Remediating rule 24/24: 'kubelet_enable_streaming_connections'")
(>&2 echo "FIX FOR THIS RULE 'kubelet_enable_streaming_connections' IS MISSING!")

# END fix for 'kubelet_enable_streaming_connections'

